Issue #9771 has been updated by Usaku NAKAMURA.

Backport changed from 2.0.0: REQUIRED, 2.1: REQUIRED to 2.0.0: DONE, 2.1: REQUIRED

backported into `ruby_2_0_0` at r46200.

----------------------------------------
Bug #9771: SYM2ID(Qnil)
https://bugs.ruby-lang.org/issues/9771#change-46934

* Author: Nobuyoshi Nakada
* Status: Closed
* Priority: Normal
* Assignee: 
* Category: ext
* Target version: current: 2.2.0
* ruby -v: 1.9.3 or later
* Backport: 2.0.0: DONE, 2.1: REQUIRED
----------------------------------------
`ext/openssl/ossl_asn1.c:ossl_asn1_initialize()` allows `Qnil` as `tagging` since r31699.
But `SYM2ID()` is defined for T_SYMBOL values only.




-- 
https://bugs.ruby-lang.org/